Download it now!
Bug 40685 - FORMATTING Request for wrapping long Date and Time formats
Summary: FORMATTING Request for wrapping long Date and Time formats
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.3.0 release
Hardware: Other All
: lowest enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 59997 66595 109119 (view as bug list)
Depends on:
Blocks: Calc-Cells
  Show dependency treegraph
 
Reported: 2011-09-07 05:09 UTC by Regina Henschel
Modified: 2017-10-09 20:57 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2011-09-07 05:09:46 UTC
Write a date into the cell, e.g. 2011-09-05. Then format it to show the day name in addition, e.g. NN YYYY-MM-DD. You will likely see ### in the cell, indicating that the column is to small to show the value 'Mon 2011-09-05'.

Now enable wrapping for that cell. Expected behavior: The date is wrapped to
Mon
2011-09-05
Seen behavior: No wrapping.

Another example: Use the formula =TODAY(). Again you will see ### and wrapping does not work.

Suggestion: Wrap dates and times, if the format code contains a blank. Wrap position should be that blank.

Such wrapping was done in OOo before version 3.3.
Comment 1 Eike Rathke 2011-12-20 16:52:18 UTC
A date is a date serial number, just formatted special to display the date. Numeric values, however formatted, are not wrapped in cells but displayed as ### instead if larger. Earlier OOo versions wrapped also numeric values, which was a bug (you don't expect a 14 digits number being wrapped after 11 digits) and got fixed. Introducing line breaking for formatted date/time numeric values IMHO is overkill. But of course, if someone provided a nice patch ...
Comment 2 Björn Michaelsen 2011-12-23 12:31:50 UTC Comment hidden (obsolete)
Comment 3 Florian Reisinger 2012-08-14 13:57:16 UTC Comment hidden (obsolete)
Comment 4 Florian Reisinger 2012-08-14 13:58:37 UTC Comment hidden (obsolete)
Comment 5 Florian Reisinger 2012-08-14 14:03:10 UTC Comment hidden (obsolete)
Comment 6 Florian Reisinger 2012-08-14 14:05:25 UTC Comment hidden (obsolete)
Comment 7 Rainer Bielefeld Retired 2012-08-16 08:38:56 UTC
This is a valid Enhancement request (but IMHO with very low importance)

I see, OOo 1.1.5 indeed breaks long numbers. At least since LibO 3.3.3 that bug is fixed.
Comment 8 m.a.riosv 2013-07-04 22:50:26 UTC
*** Bug 66595 has been marked as a duplicate of this bug. ***
Comment 9 Joel Madero 2014-11-06 22:11:23 UTC
Comment 7 confirms validity of request. Moving to NEW.
Comment 10 Eike Rathke 2017-07-14 14:27:45 UTC
A far better approach IMHO is to automatically widen the column after input (only!) if it is too narrow and was not yet set to a fixed width by the user. Which also Gnumeric and Excel do.

Both also do not wrap numeric and date display strings if wrap is enabled, so we'd display significantly different content if we implemented wrapping here.
Comment 11 Eike Rathke 2017-07-14 14:28:28 UTC
*** Bug 109119 has been marked as a duplicate of this bug. ***
Comment 12 Laurent BP 2017-10-09 20:57:04 UTC
*** Bug 59997 has been marked as a duplicate of this bug. ***